
# Below are sample code to import and export PowerBI report in Jupyter Notebook:
#1. Import Libraries and Authentication:
pip install powerbiclient

from powerbiclient import Report, models, authentication, QuickVisualize, get_dataset_config, Report
from powerbiclient.authentication import InteractiveLoginAuthentication, DeviceCodeLoginAuthentication
import pandas as pd

#Authenticate to Power BI service using InteractiveLoginAuthentication
auth = authentication.InteractiveLoginAuthentication()

#Device Authentication
device_auth = DeviceCodeLoginAuthentication()


#2. Visualise data in Jupyter Notebook using powerbiclient:
#Import csv file
your_file= pd.read_csv("your_csv_file.csv")

#Create a Power BI report from your data
PBI_visualize = QuickVisualize(get_dataset_config(your_file), auth=device_auth)


#Render the new report
PBI_visualize

#3. Embed PowerBI Report in Jupyter Notebook:
group_id="Workspace ID"
report_id="Report ID"

#Retrieve the report
report = Report(group_id=group_id, report_id=report_id, auth=device_auth)
report